{
  "easycom": {
    "autoscan": true,
    "custom": {
      "^uni-((?!(shadow-root)).*)": "@dcloudio/uni-ui/lib/uni-$1/uni-$1.vue"
    }
  },
  "pages": [
    {
      "path": "pages/blank/blank",
      "style": {
        "navigationBarTitleText": "登录中"
      }
    },
    {
      "path": "pages/home/home",
      "style": {
        "navigationBarTitleText": "奉化数字门牌"
      }
    },
    {
      "path": "pages/home/webView",
      "style": {
        "navigationBarTitleText": ""
      }
    },
    {
      "path": "pages/my/my",
      "style": {
        "navigationBarTitleText": "个人中心"
      }
    },
    {
      "path": "pages/my/changeDoorplate",
      "style": {
        "navigationBarTitleText": "我的门牌地址"
      }
    }
  ],
	"preloadRule": {
    "pages/home/home": {
      "network": "all",
      "packages": ["subPages"]
    }
  },
	"subPackages": [
    {
      "root": "subPages",
      "pages": [
        {
          "path": "pages/bind/bind",
          "style": {
            "navigationBarTitleText": "奉化数字门牌"
          }
        },
        {
          "path": "pages/scanCode/scanCode",
          "style": {
            "navigationBarTitleText": "奉化数字门牌"
          }
        },
        {
          "path": "pages/scanCode/searchDoorplate",
          "style": {
            "navigationBarTitleText": "搜索门牌"
          }
        },
        {
          "path": "pages/search/search",
          "style": {
            "navigationBarTitleText": "服务和门牌搜索"
          }
        },
        {
          "path": "pages/life/life",
          "style": {
            "navigationBarTitleText": "生活圈"
          }
        },
        {
          "path": "pages/door/door",
          "style": {
            "navigationBarTitleText": "门牌详情"
          }
        },
        {
          "path": "pages/door/enterpriseRisk",
          "style": {
            "navigationBarTitleText": "风险总览"
          }
        },
        {
          "path": "pages/door/complete",
          "style": {
            "navigationBarTitleText": "完成"
          }
        },
        {
          "path": "pages/door/submitDetail",
          "style": {
            "navigationBarTitleText": "门牌详情"
          }
        },
        {
          "path": "pages/qr/qr",
          "style": {
            "navigationBarTitleText": "门牌二维码"
          }
        },
        {
          "path": "pages/inform/InformList",
          "style": {
            "navigationBarTitleText": "公告列表"
          }
        },
        {
          "path": "pages/inform/inform",
          "style": {
            "navigationBarTitleText": "公告详情"
          }
        },
        {
          "path": "pages/help/helpCall",
          "style": {
            "navigationBarTitleText": "一键求助"
          }
        },
        {
          "path": "pages/help/helpRecord",
          "style": {
            "navigationBarTitleText": "求助记录"
          }
        },
        {
          "path": "pages/help/helpDetail",
          "style": {
            "navigationBarTitleText": "求助详情"
          }
        },
        {
          "path": "pages/alarm/alarmCall",
          "style": {
            "navigationBarTitleText": "一键反映"
          }
        },
        {
          "path": "pages/alarm/alarmRecord",
          "style": {
            "navigationBarTitleText": "反映记录"
          }
        },
        {
          "path": "pages/alarm/alarmDetail",
          "style": {
            "navigationBarTitleText": "反映详情"
          }
        },
        {
          "path": "pages/placeCulture/placeCulture",
          "style": {
            "navigationBarTitleText": "地名文化"
          }
        },
        {
          "path": "pages/placeCulture/placeDesc",
          "style": {
            "navigationBarTitleText": "地名文化"
          }
        },
        {
          "path": "pages/multiCodeMerge/multiCodeMerge",
          "style": {
            "navigationBarTitleText": "多码合一"
          }
        },
        {
          "path": "pages/rent/chuZu/chuZu",
          "style": {
            "navigationBarTitleText": "发布选择"
          }
        },
        {
          "path": "pages/rent/chuZu/publishHouse",
          "style": {
            "navigationBarTitleText": "发布房屋"
          }
        },
        {
          "path": "pages/rent/chuZu/modifyPublishInfo",
          "style": {
            "navigationBarTitleText": "修改发布信息"
          }
        },
        {
          "path": "pages/rent/chuZu/publishRecord",
          "style": {
            "navigationBarTitleText": "已发布房屋"
          }
        },
        {
          "path": "pages/rent/houseDetail",
          "style": {
            "navigationBarTitleText": "房屋详情"
          }
        },
        {
          "path": "pages/rent/map",
          "style": {
            "navigationBarTitleText": "位置及周边"
          }
        },
        {
          "path": "pages/rent/zuFang/zuFang",
          "style": {
            "navigationBarTitleText": "我要找房"
          }
        },
        {
          "path": "pages/rent/zuFang/houseList",
          "style": {
            "navigationBarTitleText": "门牌发布的租房"
          }
        },
        {
          "path": "pages/mapService/mapService",
          "style": {
            "navigationBarTitleText": ""
          }
        },
        {
          "path": "pages/webview/webview",
          "style": {
            "navigationBarTitleText": ""
          }
        },
        {
          "path": "pages/familyMember/familyMember",
          "style": {
            "navigationBarTitleText": "家庭成员"
          }
        },
        {
          "path": "pages/familyMember/familyMemberAdd",
          "style": {
            "navigationBarTitleText": "新增住户成员"
          }
        },
        {
          "path": "pages/familyMember/familyMemberUpdate",
          "style": {
            "navigationBarTitleText": "编辑成员信息"
          }
        },
        {
          "path": "pages/commitment/commitmentDetail/index",
            "style": {
                "navigationBarTitleText": "经营承诺详情"
            }
        },
        {
          "path": "pages/commitment/enterpriseCommitment/index",
            "style": {
                "navigationBarTitleText": "企业经营承诺"
            }
        },
        {
          "path": "pages/commitment/home/index",
          "style": {
            "navigationBarTitleText": "经营承诺"
          }
        }
      ]
    }
   ],
  "globalStyle": {
    "navigationBarTextStyle": "white",
    "navigationBarTitleText": "uni-app",
    "navigationBarBackgroundColor": "#356eed",
    "backgroundColor": "#F8F8F8",
    "navigationStyle":"custom",
    "usingComponents": {}
  },
  "tabBar": {
		"color": "#7A7E83",
		"selectedColor": "#1676fe",
		"borderStyle": "black",
		"backgroundColor": "#ffffff",
		"list": [{
			"pagePath": "pages/home/home",
			"text": "首页",
      "iconPath": "/static/images/barIcon/home.png",
      "selectedIconPath": "/static/images/barIcon/home-selected.png"
		}, {
			"pagePath": "pages/my/my",
			"iconPath": "/static/images/barIcon/user.png",
			"selectedIconPath": "/static/images/barIcon/user-selected.png",
			"text": "我的"
		}]
	},
  "requiredPrivateInfos": ["chooseLocation", "getLocation"]
}

